Subject: Re: [GSoC] Scripts to be conversted into builtins

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 17 Mar 2018 19:26:36 +0100

On Sat, Mar 17 2018, Yash Yadav jotted:

> Hello,
>
> I am a student going through the GSoC process.
>
> In the project ideas listed there is one idea talking of conversion of
> scripts to builtins. This interests me but no pointer forward is given
> and I'd like to dive more into that idea and go through the script(s).
>
> So, where should I look further from here?

One good place to start is to start reading at:

    git log -p --stat --full-diff --reverse 74703a1e4d.. -- 'builtin/*--helper.c'

And then search for git-.*\.sh in your pager. These are a bunch of
commits where the bisect, rebase and submodule helpers have had their
shellscript code incrementally replaced by C.